#ifndef __ETHER_SAMPLE_APL_H__
#define __ETHER_SAMPLE_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "w5500_spi.h"
#include "system.h"
#include "board_init.h"

/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
typedef enum {
  RTC_CAT_SEC,
  RTC_CAT_MIN,
  RTC_CAT_HOUR,
  RTC_CAT_DAYS,
  RTC_CAT_WEEKDAYS,
  RTC_CAT_MONTH,
  RTC_CAT_YEAR
} RTC_CAT_TYPE;


/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void EtherApl_Init (void);
void EtherApl_Exec (void);
void EtherApl_Set_NetConfig (void);
#endif /* __ETHER_SAMPLE_APL_H__ */
