/* ===================================================================
   \[Xt@C
   =================================================================== */

/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "RtcSampleApl.h"


/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */


/* ********************************************************** */
/* Local Variable */
/* ********************************************************** */


/* ********************************************************** */
/* Local ProtoType Define */
/* ********************************************************** */



/* ================================================================== */
/* ********************************************************** */
/* Src (Internal API Function) */
/* ********************************************************** */
/* ********************************************************** */
/* Tv@F@RTCDemoAv̏                            */
/* ֐@F@RtcDemoApl_Init                                  */
/* @F@Ȃ                                             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Init (void)
{
  RtcApl_Init ();
  return;
}

/* ********************************************************** */
/* Tv@F@RTCDemoAv̎s                              */
/* ֐@F@RtcDemoApl_Exec                                  */
/* @F@Ȃ                                             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Exec (void)
{
  RtcApl_Exec ();
  return;
}

/* ********************************************************** */
/* Tv@F@RTCDemoAv Timer荞                      */
/* ֐@F@RtcDemoApl_Irq_Timer                             */
/* @F@Ȃ                                             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Irq_Timer (void)
{
  RtcApl_Irq_Timer ();
  return;
}

/* ********************************************************** */
/* Tv@F@RTC DemoAv̊Jn                         */
/* ֐@F@RtcDemoApl_Start                                 */
/* @F@Ȃ                                             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Start (void)
{
  RTC_APL_INFO info;

  /* RTC ̏ǂݏo */
  RtcApl_Read_Info (RTC_TYPE_ALL, &info);
  /* ݏ̐ݒ */
  RtcApl_Set_Info (&info);
  /* RTC̏o */
  RtcApl_Out_Info (RTC_TYPE_ALL, &info);
  /* ԕωmFp̃^C}[Jn */
  RtcApl_Set_Timer ();

  return;
}

/* ********************************************************** */
/* Tv@F@RTCDemoAv RTC̏                  */
/* ֐@F@RtcApl_Write_Info                                */
/* @F@RTC_TYPE type      : RTC             */
/*           RTC_APL_INFO *info : RTC̊i[             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Write_Info (RTC_TYPE type, RTC_APL_INFO *info)
{
  RtcApl_Write_Info (type, info);
  return;
}

/* ********************************************************** */
/* Tv@F@RTCDemoAv RTC̓ǂݍ                  */
/* ֐@F@RtcApl_Write_Info                                */
/* @F@RTC_TYPE type      : ǂݍRTC             */
/*           RTC_APL_INFO *info : RTC̊i[             */
/* ߂lF@Ȃ                                             */
/* ********************************************************** */
void 
RtcDemoApl_Read_Info (RTC_TYPE type, RTC_APL_INFO *info)
{
  RtcApl_Read_Info (type, info);
  return;
}


/* ================================================================== */
/* ********************************************************** */
/* Src (Local Function) */
/* ********************************************************** */

