#ifndef __SERVO_DEMO_APL_H__
#define __SERVO_DEMO_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "ServoSampleApl.h"

/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
#define SERVO_DEMO_ANGLE_MIN       (0)
#define SERVO_DEMO_ANGLE_CENTER    (90)
#define SERVO_DEMO_ANGLE_MAX       (180)


/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void ServoDemoApl_Init (void);
void ServoDemoApl_Exec (void);
void ServoDemoApl_Irq_Timer (void);
void ServoDemoApl_Set_AutoMode (int mode);
int ServoDemoApl_Set_CmdAngle (unsigned char angle);

#endif /* __SERVO_DEMO_APL_H__ */
