#ifndef __LED_SAMPLE_APL_H__
#define __LED_SAMPLE_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "board_init.h"


/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
/* LED  */
typedef enum {
  LED_TYPE_ALLOFF,		/* S */
  LED_TYPE_ALLON,		/* S_ */
  LED_TYPE_ALLBLINK,	/* S_ */
  LED_TYPE_BLINK,		/* ݓ_ */
  LED_TYPE_SHIFT,		/* Vtg */
  LED_TYPE_INC,			/* CNg */
  LED_TYPE_DEC,			/* fNg */
  LED_TYPE_FREE,		/* Cӓ_ */
  LED_TYPE_MAX
} LED_APL_TYPE;

/* eʂ̏l */
#define LED_ALLOFF_INIT_DAT		(0x00)
#define LED_ALLON_INIT_DAT		(0xff)
#define LED_ALLBLINK_INIT_DAT	(0xff)
#define LED_BLINK_INIT_DAT		(0xAA)
#define LED_SHIFT_INIT_DAT		(0x01)
#define LED_INC_INIT_DAT		(0x00)
#define LED_DEC_INIT_DAT		(0xff)


#define true 1
#define false 0

/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void LedApl_Init (void);
void LedApl_Set_Type (LED_APL_TYPE type, unsigned char data);
void LedApl_Exec (void);
void LedApl_Irq_Timer (void);
unsigned char LedApl_Get_LedInfo (void);
#endif /* __LED_SAMPLE_APL_H__ */
