#ifndef __SERVO_SAMPLE_APL_H__
#define __SERVO_SAMPLE_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "board_init.h"


/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
/* ^C}[ */
typedef enum {
  SERVO_TIMER_STOP,
  SERVO_TIMER_DOING
} SERVO_TIMER_STATE;

#define SERVO_DUTY_MIN		(1)
#define SERVO_DUTY_CENTER	(7)
#define SERVO_DUTY_MAX		(15)

#define SERVO_APL_NOW_DUTY  0xff

#define true 1
#define false 0


/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void ServoApl_Init (void);
void ServoApl_Exec (void);
void ServoApl_Irq_Timer (void);
void ServoApl_Stop_Timer (void);
void ServoApl_Set_Duty (int duty);
int ServoApl_Get_Duty (void);
int ServoApl_Is_InKey (void);
#endif /* __SERVO_SAMPLE_APL_H__ */
