#ifndef __STEPPING_SAMPLE_APL_H__
#define __STEPPING_SAMPLE_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "board_init.h"


/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
#define true 1
#define false 0

/* Stepping  */
typedef enum {
  STEPPING_STATE_A,
  STEPPING_STATE_AB,
  STEPPING_STATE_B,
  STEPPING_STATE_BC,
  STEPPING_STATE_C,
  STEPPING_STATE_CD,
  STEPPING_STATE_D,
  STEPPING_STATE_DA,
} STEPPING_STATE;

/* ^C}[ */
typedef enum {
  STEPPING_TIMER_STOP,
  STEPPING_TIMER_DOING
} STEPPING_TIMER_STATE;


/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void SteppingApl_Init (void);
void SteppingApl_Exec (void);
void SteppingApl_Irq_Timer (void);
void SteppingApl_Start (void);
void SteppingApl_Stop (void);
STEPPING_STATE SteppingApl_Get_State (void);
void SteppingApl_Set_State (STEPPING_STATE state);
int SteppingApl_Is_InKey (void);
#endif /* __STEPPING_SAMPLE_APL_H__ */
